Subject: Re: [PATCH net-next 0/2] Work around missing PHY prodcut ID in mv88e6390

From: Andrew Lunn <[email-masked]>
Date: Wed, 25 Jan 2017 02:59:05 +0100

On Wed, Jan 25, 2017 at 02:55:12AM +0100, Andrew Lunn wrote:
> The internal PHYs of the MV88E6390 have a Marvell OUI, but the product
> ID is zero. Work around this by trapping reads to the ID, and if it is
> zero, return the MV88E6390 family ID.

Hi Gregory

This should just work for your switch as well, the PHY will get the ID
6390. I expect the PHY is compatible with the 6390 PHYs, so i think we
can just leave it as it is. We can change it later, if we do have
compatibility problems.

	      Andrew